<?php
use DB;
namespace App\Console\Commands;
use Illuminate\Console\Command;
class CalculateRoi extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'calculateROI';
    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'ROI Auto Calculation';
    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle() {
        // Logic for sending emails
        //\Log::info('Emails sent successfully!'); // For debugging/logging purposes
        //return 0;
        $users = DB::table('users')->get();
        foreach ($users as $usr) {
            $earnings = $this->calculateEarnings($usr->principle_balance);
            $principal = number_format($usr->principle_balance, 2, '.', '') - number_format($earnings['profit'], 2, '.', '');
            $roi = number_format($earnings['roi'], 2, '.', '') + number_format($earnings['profit'], 2, '.', '');
            //$usr->principle_balance = $principal;
            //$user->total_invest += $pamount;
            $usr->total_binary_com += $roi;
            DB::table('users')->where('id', $usr->id)->update(['principle_balance' => number_format($principal, 2, '.', ''), 'total_binary_com' => number_format($usr->total_binary_com, 2, '.', '')]);

            $userInput = $this->getReferralDataFromDatabase();
            $users = $this->createDynamicUsersArray($userInput);
            $commissions = $this->calculateReferralCommission($users, $principal, $usr->ref_id);
            //echo "<pre>"; print_r($commissions);
            foreach ($commissions as $user => $commission) {
                $usr->total_ref_com += $commission;
                DB::table('users')->where('id', $user)->update(['total_ref_com' => number_format($usr->total_ref_com, 2)]);
                DB::table('income_report')->insert(['user_id' => $user, 'roi_amount' => number_format($earnings['roi'], 2, '.', ''), 'profit_amount' => number_format($earnings['profit'], 2, '.', ''), 'referal_amount' => $usr->total_ref_com]);
            }
            //echo "<pre>"; print_r($referralData);
            //return '1';
        }
    }
    
    function calculateEarnings($principal) {
        $roipercentage = .067;
        $roiperday = (number_format($principal, 2, '.', '') * $roipercentage) / 30;

        $profitpercentage = .083;
        $profitperday = (number_format($principal, 2, '.', '') * $profitpercentage) / 30;
        
        return [
            'roi' => number_format($roiperday, 2, '.', ''),
            'profit' => number_format($profitperday, 2, '.', '')
        ];
    }

    function getReferralDataFromDatabase() {
        $referralData = [];
        $users = DB::table('users')->get();
        foreach ($users as $row) {
            $referralData[$row->id] = $row->ref_id;
        }
        return $referralData;
    }

    function createDynamicUsersArray($referralData) {
        $users = [];

        foreach ($referralData as $userId => $referredBy) {
            // Initialize user if not already in the array
            if (!isset($users[$userId])) {
                $users[$userId] = ['referredBy' => $referredBy, 'directReferrals' => []];
            }

            // Set the referredBy field
            $users[$userId]['referredBy'] = $referredBy;

            // Add this user as a direct referral of the referrer
            if ($referredBy) {
                if (!isset($users[$referredBy])) {
                    $users[$referredBy] = ['referredBy' => null, 'directReferrals' => []];
                }
                $users[$referredBy]['directReferrals'][] = $userId;
            }
        }

        return $users;
    }

    function calculateReferralCommission($users, $principleAmount, $userId) {
        // Referral percentages for levels 1 to 4
        $referralPercentages = [0.02, 0.01, 0.005, 0.0025];
        
        // Commissions array to store results
        $commissions = [];
        
        $currentUserId = $userId;
        $level = 0;

        while ($currentUserId && $level < 4) {
        $currentUser = $users[$currentUserId];
        
        // Check if the current referrer is eligible (must have at least one direct referral)
        if (!empty($currentUser['directReferrals'])) {
            // Calculate the commission for this level
            $commission = ($principleAmount * $referralPercentages[$level]) / 30;
            $commissions[$currentUserId] = $commission;
        }

        // Move up to the next referrer
        $currentUserId = $currentUser['referredBy'] ?? null;
        $level++;
    }
        return $commissions;
    }
}