<meta name="csrf-token" content="{{ csrf_token() }}">
@extends('admin.layouts.app')

@section('panel')
<div class="row mb-none-30">
        <div class="col-xl-12 col-lg-7 col-md-7 mb-30">
            <div class="card mt-20">
                <div class="card-body">
                    <h5 class="card-title mb-50 border-bottom pb-2">@lang('Add Balance')</h5>
                    <form action="{{ route('admin.add_balance.store') }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold">@lang('Sponsor ID') <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="sponsor_id" required>
                                    <input type="hidden" name="uid" id="uid" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold">@lang('Sponsor Name')</label>
                                    <input type="text" class="form-control" id="sponsor_name" readonly>
                                </div>
                            </div>
                            <div class="col-xl-3 col-md-6">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold">@lang('Add Balance Type') <span class="text-danger">*</span></label>
                                    <select name="add_balance_type" id="add_balance_type" class="form-control" required>
                                        <option value="">Select Type</option>
                                        <option value="1">Fund to Investment</option>
                                        <option value="2">Fund to Money Bag</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold">@lang('Amount') <span class="text-danger">*</span></label>
                                    <input class="form-control" type="text" name="amount" value="" required>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-4">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn--primary btn-block btn-lg">@lang('Save Changes')
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('script')
<script>
    'use strict';
    (function($){
        $("select[name=country]").val("{{ @$user->address->country }}");
    })(jQuery)
    $(document).ready(function(){
        $('#sponsor_id').blur(function(){
            let sponsorId = $(this).val(); // Get the value of the sponsor ID field
            if(sponsorId != '') {
            	$.ajax({
	                headers: {
	                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
	                },
	                url : "{{route('get_sponsor_name')}}",
	                data : {'sponsor_id' : sponsorId},
	                type : 'POST',
	                dataType : 'json',
	                success: function(response) {
	                    if (response.success) {
	                        $("#uid").val(response.id);
	                        $("#sponsor_name").val(response.sponsor_name);
	                    } else {
	                        alert('Invalid Sponsor ID');
	                    }
	                },
	                error: function(xhr, status, error) {
	                    console.error(error);
	                    alert('An error occurred');
	                }
	            });
            }  
        })
    })
</script>
@endpush