<meta name="csrf-token" content="{{ csrf_token() }}">
@extends('admin.layouts.app')

@push('style')
    <link href="{{asset('assets/admin/css/tree.css')}}" rel="stylesheet">
@endpush

@section('panel')

    <div class="card">
        <div class="row text-center justify-content-center llll">
            <div class="w-1">
                @php
                $img = getImage('assets/images/user/profile/'. $tree->image, '120x120');
                @endphp
                <div class="usershowDetails" data-name="{{$tree->image}}" data-image="{{$img}}" data-lbv="0" data-rbv="0" onclick="getlevel1TreeList('{{$tree->id}}')">
                    <img src="{{$img}}" alt="*" class="free-user" style="border-radius: 65px;">
                    <p class="user-name" style="font-size: 12px;">{{$tree->firstname." ".$tree->lastname}}</p>
                </div>
                <div class="level1user"></div>
                <div class="level2user"></div>
                <div class="level3user"></div>
                <div class="level4user"></div>
                <div class="level5user"></div>
                <div class="level6user"></div>
                <div class="level7user"></div>
                <div class="level8user"></div>
                <div class="level9user"></div>
                <div class="level10user"></div>
                <div class="level11user"></div>
                <div class="level12user"></div>
            </div>
        </div>
    </div>


    <div class="modal fade user-details-modal-area" id="exampleModalCenter" tabindex="-1" role="dialog"
         aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalCenterTitle">@lang('User Details')</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="user-details-modal">
                        <div class="user-details-header ">
                            <div class="thumb"><img class="w-h-100-p tree_image" src="#" alt="*"
                                ></div>
                            <div class="content">
                                <a class="user-name tree_url tree_name" href=""></a>
                                <span class="user-status tree_status"></span>
                                <span class="user-status tree_plan"></span>
                            </div>
                        </div>
                        <div class="user-details-body text-center">
                            <h6 class="my-3">@lang('Referred By'): <span class="tree_ref"></span></h6>
                            <table class="table table-bordered">
                                <tr>
                                    <th>&nbsp;</th>
                                    <th>@lang('LEFT')</th>
                                    <th>@lang('RIGHT')</th>
                                </tr>
                                <tr>
                                    <td>@lang('Current BV')</td>
                                    <td><span class="lbv"></span></td>
                                    <td><span class="rbv"></span></td>
                                </tr>
                                <tr>
                                    <td>@lang('Free Member')</td>
                                    <td><span class="lfree"></span></td>
                                    <td><span class="rfree"></span></td>
                                </tr>
                                <tr>
                                    <td>@lang('Paid Member')</td>
                                    <td><span class="lpaid"></span></td>
                                    <td><span class="rpaid"></span></td>
                                </tr>
                            </table>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('script')
    <script>
        'use strict';
        (function($){
            $('.showDetails').on('click', function () {
                var modal = $('#exampleModalCenter');
                $('.tree_name').text($(this).data('name'));
                $('.tree_url').attr({"href": $(this).data('treeurl')});
                $('.tree_status').text($(this).data('status'));
                $('.tree_plan').text($(this).data('plan'));
                $('.tree_image').attr({"src": $(this).data('image')});
                $('.user-details-header').removeClass('Paid');
                $('.user-details-header').removeClass('Free');
                $('.user-details-header').addClass($(this).data('status'));
                $('.tree_ref').text($(this).data('refby'));
                $('.lbv').text($(this).data('lbv'));
                $('.rbv').text($(this).data('rbv'));
                $('.lpaid').text($(this).data('lpaid'));
                $('.rpaid').text($(this).data('rpaid'));
                $('.lfree').text($(this).data('lfree'));
                $('.rfree').text($(this).data('rfree'));
                $('#exampleModalCenter').modal('show');
            });
        })(jQuery)
        function getlevel1TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('admin.users.getlevel1TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level1user").html(response);
                    $(".level3user").hide();
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
        function getlevel2TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('admin.users.getlevel2TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level2user").html(response);
                    $(".level3user").hide();
                    $(".level3user").hide();
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
        function getlevel3TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('admin.users.getlevel3TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level3user").show();
                    $(".level3user").html(response);
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
        function getlevel4TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('admin.users.getlevel4TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level3user").show();
                    $(".level4user").html(response);
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
        function getlevel5TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('admin.users.getlevel5TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level4user").show();
                    $(".level5user").html(response);
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
        function getlevel6TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('admin.users.getlevel6TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level3user").show();
                    $(".level6user").html(response);
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
        function getlevel7TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('admin.users.getlevel7TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level3user").show();
                    $(".level7user").html(response);
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
        function getlevel8TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('admin.users.getlevel8TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level3user").show();
                    $(".level8user").html(response);
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
        function getlevel9TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('admin.users.getlevel9TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level3user").show();
                    $(".level9user").html(response);
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
        function getlevel10TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('admin.users.getlevel10TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level3user").show();
                    $(".level10user").html(response);
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
        function getlevel11TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('admin.users.getlevel11TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level3user").show();
                    $(".level11user").html(response);
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
        function getlevel12TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('admin.users.getlevel12TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level3user").show();
                    $(".level12user").html(response);
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
    </script>

@endpush
@push('breadcrumb-plugins')

    <form action="{{route('admin.users.other.tree.search')}}" method="GET" class="form-inline float-right bg--white">
        <div class="input-group has_append">
            <input type="text" name="username" class="form-control" placeholder="@lang('Search by username')">
            <div class="input-group-append">
                <button class="btn btn--success" type="submit"><i class="fa fa-search"></i></button>
            </div>
        </div>
    </form>

@endpush



