@extends($activeTemplate . 'user.layouts.app')

@section('panel')
    <div class="row mb-none-30">
        <div class="col-xl-12 col-lg-7 col-md-7 mb-30">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title mb-50 border-bottom pb-2">{{auth()->user()->fullname}} @lang('Bank Information')</h5>
                    <form action="" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold">@lang('IFSC') <span class="text-danger">*</span></label>
                                    <input class="form-control form-control-lg" type="text" name="ifsc_code" value="{{@$mybank->ifsc_code}}" required>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="form-control-label font-weight-bold">@lang('Bank Name') <span class="text-danger">*</span></label>
                                    <input class="form-control form-control-lg" type="text" name="bank_name" value="{{@$mybank->bank_name}}" required>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="form-control-label font-weight-bold">@lang('Branch') <span class="text-danger">*</span></label>
                                    <input class="form-control form-control-lg" type="text" name="bank_branch" value="{{@$mybank->bank_branch}}" required>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="form-control-label font-weight-bold">@lang('A/C Type') <span class="text-danger">*</span></label>
                                    <select class="form-control form-control-lg"name="acc_type" >
                                        <option value="">Select</option>
                                        <option value="Current" @if(@$mybank->acc_type == 'Current') selected @endif>Current</option>
                                        <option value="Savings" @if(@$mybank->acc_type == 'Savings') selected @endif>Savings</option>
                                    </select>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group ">
                                    <label class="form-control-label font-weight-bold">@lang('Account Number')<span class="text-danger">*</span></label>
                                    <input class="form-control form-control-lg" type="text" name="acc_number" value="{{@$mybank->acc_number}}" required>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="form-control-label font-weight-bold">@lang('A/C Holder Name')<span class="text-danger">*</span></label>
                                    <input class="form-control form-control-lg" type="text" name="acc_holder_name" value="{{@$mybank->acc_holder_name}}" required>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="form-control-label font-weight-bold">@lang('PAN Number') <span class="text-danger">*</span></label>
                                    <input class="form-control form-control-lg" type="text" name="pan_number" value="{{@$mybank->pan_number}}" required>
                                </div>
                            </div>
                        </div>
                        
                        <div class="row mt-4">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn--primary btn-block btn-lg">@lang('Save Changes')</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
