@extends($activeTemplate . 'user.layouts.app')

@section('panel')
    <div class="row mb-none-30">
        <div class="col-xl-12 col-lg-7 col-md-7 mb-30">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-control-label font-weight-bold">@lang('From Date') <span class="text-danger">*</span></label>
                                <input class="form-control form-control-lg" type="date" name="from_date" id="from_date" value="" required>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-control-label font-weight-bold">@lang('To Date') <span class="text-danger">*</span></label>
                                <input class="form-control form-control-lg" type="date" name="to_date" id="to_date" value="" required>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="card b-radius--10 overflow-hidden">
                            <div class="card-body p-0" style="padding: 0 3rem 0 3rem !important;">
                                <div class="table-responsive--sm">
                                    <table class="table table--light style--two" id="myTable" class="display">
                                        <thead>
                                        <tr>
                                            <th scope="col" style="text-align: center;">@lang('Sl No')</th>
                                            <th scope="col" style="text-align: center;">@lang('ROI Amount')</th>
                                            <th scope="col" style="text-align: center;">@lang('Date')</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                            @if(!empty($allROIdata))
                                            @foreach($allROIdata as $value)
                                            <tr>
                                                <td data-label="@lang('Sl No')" style="text-align: center;">
                                                    <p>{{ $loop->iteration }}</p>
                                                </td>
                                                <td data-label="@lang('Total ID')" style="text-align: center;">
                                                    <p>{{$value->roi_amount}}</p>
                                                </td>
                                                <td data-label="@lang('Active ID')" style="text-align: center;">
                                                    <p>{{$value->created_at}}</p>
                                                </td>
                                            </tr>
                                            @endforeach
                                            @else
                                            <tr>
                                                <td colspan="3" style="text-align: center;">No records found...!</td>
                                            </tr>
                                            @endif
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
<style>
    .dt-column-title{color: #fff !important;}
</style>
@push('script')
<link rel="stylesheet" href="https://cdn.datatables.net/2.1.8/css/dataTables.dataTables.css" />
<script src="https://cdn.datatables.net/2.1.8/js/dataTables.js"></script>
<script>
    'use strict';
$(document).ready( function () {
    var table = $('#myTable').DataTable();

    // Custom filtering function for date range
    $.fn.dataTable.ext.search.push(function (settings, data, dataIndex) {
        var from_date = $('#from_date').val();
        var to_date = $('#to_date').val();
        var date = data[2]; // Assuming the date is in the 3rd column

        if (from_date && to_date) {
            return date >= from_date && date <= to_date;
        } else if (from_date) {
            return date >= from_date;
        } else if (to_date) {
            return date <= to_date;
        }
        return true;
    });

    // Redraw the table whenever the input values change
    $('#from_date, #to_date').on('change', function () {
        table.draw();
    });   
});
</script>
@endpush
