@extends($activeTemplate . 'user.layouts.app')

@section('panel')
<div class="row">
    <div class="col-lg-12 ">
        <div class="card b-radius--10 overflow-hidden">
            <div class="card-body p-0">
                <div class="table-responsive--sm">
                    <table class="table table--light style--two">
                        <thead>
                        <tr>
                            <th scope="col" style="text-align: center;">@lang('Level')</th>
                            <th scope="col">@lang('Total ID')</th>
                            <th scope="col">@lang('Active ID')</th>
                            <th scope="col">@lang('Inactive ID')</th>
                            <th scope="col">@lang('Level %')</th>
                            <th scope="col">@lang('Business')</th>
                            <th scope="col">@lang('Estimated Income')</th>
                        </tr>
                        </thead>
                        <tbody>
                            @for($i = 1; $i <= 12; $i++)
                            <tr>
                                <td data-label="@lang('Level')">
                                    @php 
                                        $activeUsers = DB::table('users')->where('pos_id', $i)->get();
                                    @endphp

                                    @if($activeUsers->isEmpty())
                                        <p>{{ 'Level - ' . $i }}</p>
                                    @else
                                        <button type="button" class="btn btn-primary" data-toggle="modal" data-target=".bd-example-modal-lg" onclick="getLevelData({{$i}})">{{ 'Level - ' . $i }}</button>
                                        <meta name="csrf-token" content="{{ csrf_token() }}">
                                    @endif
                                </td>
                                @php 
                                    $allUsers = DB::table('users')->where('pos_id', $i)->count();
                                @endphp
                                <td data-label="@lang('Total ID')">
                                    <p style="width: auto; display: inline-block; background: color(srgb 0.4513 0.4022 0.9417); color: #fff; padding: 0px 5px 0px 5px; border-radius: 10px;">{{$allUsers}}</p>
                                </td>
                                @php 
                                    $activeUsers = DB::table('users')->where('pos_id', $i)->where('status', '1')->count();
                                @endphp
                                <td data-label="@lang('Active ID')">
                                    <p style="width: auto; display: inline-block; background: var(--success); color: #fff; padding: 0px 5px 0px 5px; border-radius: 10px;">{{$activeUsers}}</p>
                                </td>
                                @php 
                                    $inactiveUsers = DB::table('users')->where('pos_id', $i)->where('status', '0')->count();
                                @endphp
                                <td data-label="@lang('Inactive ID')">
                                    <p style="width: auto; display: inline-block; background: var(--danger); color: #fff; padding: 0px 5px 0px 5px; border-radius: 10px;">{{$inactiveUsers}}</p>
                                </td>
                                <td data-label="@lang('Level %')">0</td>
                                <td data-label="@lang('Business')">0</td>
                                <td data-label="@lang('Estimated Income')">0</td>
                            </tr>
                            @endfor
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Level</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                              <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="table-responsive--sm">
                                <table class="table table--light style--two">
                                    <thead>
                                    <tr>
                                        <th scope="col" style="text-align: center;">@lang('Sl. No.')</th>
                                        <th scope="col">@lang('Username')</th>
                                        <th scope="col">@lang('Name')</th>
                                        <th scope="col">@lang('Joining Date')</th>
                                        <th scope="col">@lang('Status')</th>
                                        <th scope="col">@lang('Business')</th>
                                    </tr>
                                    </thead>
                                    <tbody id="levelDataappend">
                                        @for($i = 1; $i <= 12; $i++)
                                        <tr>
                                            <td data-label="@lang('Level')">
                                                @php 
                                                    $activeUsers = DB::table('users')->where('pos_id', $i)->get();
                                                @endphp

                                                @if($activeUsers->isEmpty())
                                                    <p>{{ 'Level - ' . $i }}</p>
                                                @else
                                                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target=".bd-example-modal-lg" onclick="getLevelData({{$i}})">{{ 'Level - ' . $i }}</button>
                                                    <meta name="csrf-token" content="{{ csrf_token() }}">
                                                @endif
                                            </td>
                                            @php 
                                                $allUsers = DB::table('users')->where('pos_id', $i)->count();
                                            @endphp
                                            <td data-label="@lang('Total ID')">
                                                <p style="width: auto; display: inline-block; background: color(srgb 0.4513 0.4022 0.9417); color: #fff; padding: 0px 5px 0px 5px; border-radius: 10px;">{{$allUsers}}</p>
                                            </td>
                                            @php 
                                                $activeUsers = DB::table('users')->where('pos_id', $i)->where('status', '1')->count();
                                            @endphp
                                            <td data-label="@lang('Active ID')">
                                                <p style="width: auto; display: inline-block; background: var(--success); color: #fff; padding: 0px 5px 0px 5px; border-radius: 10px;">{{$activeUsers}}</p>
                                            </td>
                                            @php 
                                                $inactiveUsers = DB::table('users')->where('pos_id', $i)->where('status', '0')->count();
                                            @endphp
                                            <td data-label="@lang('Inactive ID')">
                                                <p style="width: auto; display: inline-block; background: var(--danger); color: #fff; padding: 0px 5px 0px 5px; border-radius: 10px;">{{$inactiveUsers}}</p>
                                            </td>
                                            <td data-label="@lang('Level %')">0</td>
                                            <td data-label="@lang('Business')">0</td>
                                        </tr>
                                        @endfor
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer py-4">
                {{ $logs->links('admin.partials.paginate') }}
            </div>
        </div>
    </div>
</div>
@endsection
<style>
    .table td, .table th {text-align: center !important;}
</style>
@push('script')
<script>
    'use strict';
    (function($) {
        document.body.addEventListener('click', copy, true);
        function copy(e) {
            var
                t = e.target,
                c = t.dataset.copytarget,
                inp = (c ? document.querySelector(c) : null);
            if (inp && inp.select) {
                inp.select();
                try {
                    document.execCommand('copy');
                    inp.blur();
                    t.classList.add('copied');
                    setTimeout(function() { t.classList.remove('copied'); }, 1500);
                }catch (err) {
                    alert(`@lang('Please press Ctrl/Cmd+C to copy')`);
                }
            }
        }
    })(jQuery);

    function getLevelData(levelID){
        $.ajax({
            url: "{{route('user.my.getLevelData')}}", // URL to send the request to
            type: 'POST', // HTTP method (GET, POST, PUT, DELETE, etc.)
            data: {id: levelID}, // Data to be sent to the server
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') // CSRF token for Laravel
            },
            success: function(response) {
                $('#levelDataappend').html(response);
            }
        });
    }
</script>
@endpush