<meta name="csrf-token" content="{{ csrf_token() }}">
@extends($activeTemplate . 'user.layouts.app')

@push('style')
    <link href="{{asset($activeTemplateTrue.'users/css/tree.css')}}" rel="stylesheet">
@endpush

@section('panel')

    <div class="card">
        <div class="row text-center justify-content-center llll">
            <div class="w-1">
                @php
                $img = getImage('assets/images/user/profile/'. $tree->image, '120x120');
                @endphp
                <div class="usershowDetails" data-name="{{$tree->image}}" data-image="{{$img}}" data-lbv="0" data-rbv="0" onclick="getlevel1TreeList('{{$tree->id}}')">
                    <img src="{{$img}}" alt="*" class="free-user" style="border-radius: 65px;">
                    <p class="user-name" style="font-size: 12px;">{{$tree->firstname." ".$tree->lastname}}</p>
                </div>
                <div class="level1user"></div>
                <div class="level2user"></div>
                <div class="level3user"></div>
                <div class="level4user"></div>
            </div>
        </div>
    </div>
@endsection

@push('script')
    <script>
        "use strict";
        (function ($) {
            $('.showDetails').on('click', function () {
                var modal = $('#exampleModalCenter');

                $('.tree_name').text($(this).data('name'));
                $('.tree_url').attr({"href": $(this).data('treeurl')});
                $('.tree_status').text($(this).data('status'));
                $('.tree_plan').text($(this).data('plan'));
                $('.tree_image').attr({"src": $(this).data('image')});
                $('.user-details-header').removeClass('Paid');
                $('.user-details-header').removeClass('Free');
                $('.user-details-header').addClass($(this).data('status'));
                $('.tree_ref').text($(this).data('refby'));
                $('.lbv').text($(this).data('lbv'));
                $('.rbv').text($(this).data('rbv'));
                $('.lpaid').text($(this).data('lpaid'));
                $('.rpaid').text($(this).data('rpaid'));
                $('.lfree').text($(this).data('lfree'));
                $('.rfree').text($(this).data('rfree'));
                $('#exampleModalCenter').modal('show');
            });
        })(jQuery);
        function getlevel1TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('getlevel1TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level1user").html(response);
                    $(".level3user").hide();
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
        function getlevel2TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('getlevel2TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level2user").html(response);
                    $(".level3user").hide();
                    $(".level3user").hide();
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
        function getlevel3TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('getlevel3TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level3user").show();
                    $(".level3user").html(response);
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
        function getlevel4TreeList(id){
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "{{route('getlevel4TreeList') }}",
                data : {'user_id' : id},
                type : 'POST',
                //dataType : 'json',
                success: function(response) {
                    $(".level3user").show();
                    $(".level4user").html(response);
                },
                error: function(xhr, status, error) {
                    console.error(error);
                    alert('An error occurred');
                }
            });
        }
    </script>

@endpush
@push('breadcrumb-plugins')
    <form action="{{route('user.other.tree.search')}}" method="GET" class="form-inline float-right bg--white">
        <div class="input-group has_append">
            <input type="text" name="username" class="form-control" placeholder="@lang('Search by username')">
            <div class="input-group-append">
                <button class="btn btn--success" type="submit"><i class="fa fa-search"></i></button>
            </div>
        </div>
    </form>
@endpush



