<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title> <?php echo e($general->sitename); ?> - <?php echo e(__(@$page_title)); ?> </title>


    <link rel="shortcut icon" href="<?php echo e(getImage(imagePath()['logoIcon']['path'] .'/favicon.png', '128x128')); ?>" type="image/x-icon">
    <?php echo $__env->make('partials.seo', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <link href="https://fonts.googleapis.com/css2?family=Overpass:ital,wght@0,100;0,200;0,300;0,400;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="<?php echo e(asset($activeTemplateTrue . 'frontend/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset($activeTemplateTrue . 'frontend/css/fontawesome-all.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset($activeTemplateTrue . 'frontend/css/lightcase.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset($activeTemplateTrue . 'frontend/css/swiper.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset($activeTemplateTrue . 'frontend/css/odometer.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset($activeTemplateTrue . 'frontend/css/line-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset($activeTemplateTrue . 'frontend/css/animate.css')); ?>">

    <?php echo $__env->yieldPushContent('style-lib'); ?>
    <link rel="stylesheet" href="<?php echo e(asset($activeTemplateTrue . 'frontend/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset($activeTemplateTrue . 'frontend/css/custom.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset($activeTemplateTrue . 'css/custom.css')); ?>">
    <?php echo $__env->yieldPushContent('css'); ?>
    <link rel="stylesheet" href='<?php echo e(asset($activeTemplateTrue."frontend/css/color.php?color=$general->base_color&color2=$general->secondary_color")); ?>'>

    <?php echo $__env->yieldPushContent('style'); ?>
</head>

<body>

<?php echo $__env->yieldPushContent('facebook'); ?>

<?php echo $__env->make($activeTemplate.'partials.preloader', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php echo $__env->make($activeTemplate.'partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<a href="#" class="scrollToTop"><i class="las la-angle-double-up"></i></a>

<?php if(!request()->routeIs('home')): ?>
    <?php echo $__env->make($activeTemplate.'layouts.breadcrumb', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php endif; ?>

<?php echo $__env->yieldContent('content'); ?>

<?php echo $__env->make($activeTemplate.'partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>




<?php
    $cookie = App\Models\Frontend::where('data_keys','cookie.data')->first();
?>
<?php if(@$cookie->data_values->status && !session('cookie_accepted')): ?>
<section class="cookie-policy cookie__wrapper">
    <div class="container">
        <div class="cookie-wrapper">
            <div class="cookie-cont">
                <p>
                    <?php echo @$cookie->data_values->description ?>
                </p>
                <a href="<?php echo e(@$cookie->data_values->link); ?>" class="text--base"><?php echo app('translator')->get('Read more about cookies'); ?></a>
            </div>
            <a href="#0" class="btn--base cookie-close policy"><?php echo app('translator')->get('Accept Policy'); ?></a>
        </div>
    </div>
</section>
<?php endif; ?>

<!-- ============Footer Section Ends Here============ -->
<script src="<?php echo e(asset($activeTemplateTrue . 'frontend/js/jquery-3.6.0.min.js')); ?>"></script>
<script src="<?php echo e(asset($activeTemplateTrue . 'frontend/js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset($activeTemplateTrue . 'frontend/js/lightcase.js')); ?>"></script>
<script src="<?php echo e(asset($activeTemplateTrue . 'frontend/js/swiper.min.js')); ?>"></script>
<script src="<?php echo e(asset($activeTemplateTrue . 'frontend/js/viewport.jquery.js')); ?>"></script>
<script src="<?php echo e(asset($activeTemplateTrue . 'frontend/js/odometer.min.js')); ?>"></script>

<script src="<?php echo e(asset($activeTemplateTrue . 'frontend/js/wow.min.js')); ?>"></script>
<?php echo $__env->yieldPushContent('script-lib'); ?>
<script src="<?php echo e(asset($activeTemplateTrue . 'frontend/js/main.js')); ?>"></script>



<?php echo $__env->make('partials.notify', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('partials.plugins', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<script>
    'use strict';
    (function($){
        $(document).on("change", ".langSel", function() {
            window.location.href = "<?php echo e(url('/')); ?>/change/"+$(this).val() ;
        });
        $('.policy').on('click',function(){
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.get('<?php echo e(route('cookie.accept')); ?>', function(response){
                iziToast.success({message: response, position: "topRight"});
                $('.cookie__wrapper').addClass('d-none');
            });
        });
    })(jQuery)
</script>
<?php echo $__env->yieldPushContent('script'); ?>

</body>
</html>
<?php /**PATH /home/webdzire/public_html/beta/safeeigencapital/app/core/resources/views/templates/basic/layouts/master.blade.php ENDPATH**/ ?>