<meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">


<?php $__env->startSection('content'); ?>

<section class="account-section bg_img" data-background="<?php echo e(getImage('assets/images/frontend/sign_in/' . @$content->data_values->background_image, '1920x390')); ?>">
    <div class="container">
        <div class="row account-row align-items-center justify-content-center">
            <div class="col-lg-5">
                <div class="account-form-area">
                    <div class="account-logo-area text-center">
                        <div class="account-logo">
                            <a href="<?php echo e(url('/')); ?>">
                                <img src="<?php echo e(getImage(imagePath()['logoIcon']['path'] .'/logo.png')); ?>"  alt="<?php echo app('translator')->get('site-logo'); ?>">
                            </a>
                        </div>
                    </div>

                    <div class="account-header text-center">
                        <h2 class="title"><?php echo e(__(@$content->data_values->title)); ?></h2>
                        <h3 class="sub-title"><?php echo app('translator')->get('Don\'t Have An Account?'); ?> <a href="<?php echo e(route('user.register')); ?>"><?php echo app('translator')->get('Create An Account'); ?></a></h3>
                    </div>

                    <form class="account-form" method="post" action="<?php echo e(route('user.login')); ?>" onsubmit="return submitUserForm();">
                        <?php echo csrf_field(); ?>
                        <div class="row ml-b-20">
                            <div class="form-group col-lg-12">
                                <label><?php echo app('translator')->get('Sponsor ID'); ?></label>
                                <input type="text" class="form--control" id="ref_name" required>
                                <input type="hidden" class="form--control" name="username" id="username">
                            </div>

                            <div class="form-group col-lg-12">
                                <label><?php echo app('translator')->get('Password'); ?></label>
                                <input type="password" class="form--control" id="myInputThree" name="password" required>
                            </div>

                            <?php
                                $captcha = getCustomCaptcha($height = 46, $width = '100%', $bgcolor = '#003');
                            ?>

                            <?php if($captcha): ?>
                                <div class="form-group col-lg-12">
                                    <label><?php echo app('translator')->get('Enter The Code Below'); ?></label>
                                    <input type="text" class="form--control" name="captcha" maxlength="6" required autocomplete="off" />
                                </div>
                                <div class="form-group col-lg-12">
                                    <?php echo  $captcha ?>
                                </div>
                            <?php endif; ?>

                            <?php if(reCaptcha()): ?>
                                <div class="form-group col-lg-12 ">
                                    <?php echo reCaptcha(); ?>
                                </div>
                            <?php endif; ?>

                            <div class="col-lg-12 form-group">
                                <div class="checkbox-wrapper d-flex flex-wrap align-items-center">
                                    <div class="checkbox-item">
                                        <label for="c1"><a href="#0"><a href="<?php echo e(route('user.password.request')); ?>"><?php echo app('translator')->get('Forgot Password?'); ?></a></a></label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-12 form-group text-center">
                                <input class="submit-btn" type="submit" value="<?php echo app('translator')->get('Login Account'); ?>">
                            </div>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
</section>

<?php $__env->stopSection(); ?>


<?php $__env->startPush('script'); ?>
    <script>
        'use strict';
        function submitUserForm() {
            var response = grecaptcha.getResponse();
            if (response.length == 0) {
                document.getElementById('g-recaptcha-error').innerHTML = '<span class="text-danger"><?php echo app('translator')->get("Captcha field is required."); ?></span>';
                return false;
            }
            return true;
        }

        function verifyCaptcha() {
            document.getElementById('g-recaptcha-error').innerHTML = '';
        }

        $('#ref_name').keyup(function(){
            let sponsorId = $(this).val(); // Get the value of the sponsor ID field
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url : "get_sponsor_name",
                data : {'sponsor_id' : sponsorId},
                type : 'POST',
                dataType : 'json',
                success: function(response) {
                    if (response.success) {
                        $("#username").val(response.sponsor_email);
                    }
                }
            });
        })
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate.'layouts.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/webdzire/public_html/beta/safeeigencapital/app/core/resources/views/templates/basic/user/auth/login.blade.php ENDPATH**/ ?>